# class Puppet::Forge::Errors::SSLVerifyError

This exception is raised when there is an SSL verification error when communicating with the forge.

### Public Class Methods

new(options) click to toggle source

@option options [String] :uri The URI that failed @option options [String] :original the original exception

Calls superclass method Puppet::Error.new

    # File lib/puppet/forge/errors.rb, line 22
    def initialize(options)
      @uri     = options[:uri]
      original = options[:original]

      super("Unable to verify the SSL certificate at #{@uri}", original)
    end

### Public Instance Methods

multiline() click to toggle source

Return a multiline version of the error message

@return [String] the multiline version of the error message

    # File lib/puppet/forge/errors.rb, line 32
        def multiline
          message = "Could not connect via HTTPS to #{@uri}
      Unable to verify the SSL certificate
        The certificate may not be signed by a valid CA
        The CA bundle included with OpenSSL may not be valid or up to date
    ".chomp
        end